<?
########## Confixx(R) 3.0 Professional ############
####### Copyright SWsoft, Inc. 2004-2005 ##########
#### http://www.sw-soft.com - info@sw-soft.com ####

global $DEBUG;
//$DEBUG=1;

include_once("auth.php");

## mysql verbindung aufbauen
db_connect($db_host, $db_user, $db_pass);
## /mysql verbindung aufbauen

if ($DEBUG){
  echo "kunden_aendern.php: aktion= $aktion<br>\n";
}

$loUser = new SQLString($PHP_AUTH_USER);
$loKunde = new SQLString($kunde);
if ($aktion != 'new_domains'){
## überprüfen, ob kunde existiert und dem anbieter gehört
  $id = safe_query2( "SELECT kunde FROM kunden WHERE kunde=? and anbieter=?", $loKunde, $loUser);
  $zeilen = db_num_rows($id);
  if ($zeilen <> 1 ){
    $id = safe_query2( "SELECT domain, kunde, anbieter FROM domains WHERE domain LIKE ? ".
											 " AND richtigedomain = 1 AND anbieter = ? ORDER BY kunde", new SQLString('%'.$kunde.'%'), $loUser);
    $kunde2 = strtolower($kunde);
    $id3 = safe_query2( "SELECT kunde FROM kunden WHERE LOWER(name) LIKE ? ".
												"AND anbieter = ? ORDER BY number", new SQLString('%'.$kunde.'%'), $loUser );

    if ((db_num_rows($id) + db_num_rows($id3)) < 1) {
      $fehlertext = ltext("kuaefw_error1");
      db_close();

			if($DEBUG){
				echo "go to kunden_aendern.php<br>\n";
			}

      include("kunden_aendern.php");
      exit();
    }

    if ((db_num_rows($id) == 1) && (db_num_rows($id3) == 0))   {
      $daten = db_fetch_array($id);
      $kunde = $daten["kunde"];
    }

    if ((db_num_rows($id3) == 1) && (db_num_rows($id) == 0)){
      $daten = db_fetch_array($id3);
      $kunde = $daten["kunde"];
    }

    if ((db_num_rows($id) + db_num_rows($id3)) > 1){
      while ($daten = db_fetch_array($id)){
				$kunde = $daten["kunde"];
				$einfuegen = "ja";
				for ($n = 0; $n < count($ergebnis); $n++)	{
					if ($ergebnis[$n] == $kunde) $einfuegen = "nein";
				}
				if ($einfuegen == "ja") $ergebnis[] = $kunde;
      }
      while ($daten = db_fetch_array($id3)){
				$kunde = $daten["kunde"];
				$einfuegen = "ja";
				for ($n = 0; $n < count($ergebnis); $n++)	{
					if ($ergebnis[$n] == $kunde) $einfuegen = "nein";
				}
				if ($einfuegen == "ja") $ergebnis[] = $kunde;
      }
      db_close();

			if($DEBUG){
				echo "go to kunden_suche.php<br>\n";
			}

      include("kunden_aendern_suche.php");
      exit();
    }
  }
}
## /überprüfen, ob kunde existiert und dem anbieter gehört
db_close();
if	($aktion == "personendaten") 	{ include("kunden_neu3.php"); }
elseif	($aktion == "leistungen") 	{ include("kunden_neu2.php"); }
elseif	($aktion == "template") 	{ include("kunden_neu1.php"); }
elseif	($aktion == "domains" || $aktion=='new_domains'){  include("kunden_neu4.php"); }
elseif	($aktion == "passwort") 	{ include("kunden_aendern_pw.php"); }
elseif	($aktion == "sperren")		{ include("kunden_aendern_sperren.php"); }
elseif	($aktion == "loeschen")  	{ include("kunden_aendern_loeschen.php"); }
else	{ 
	 $fehlertext = ltext("kuaefw_error2");
	 include("kunden_aendern.php");
	}
?>
